Jump to content

Helix Native 1.90 not Mac OS Catalina compatible?


aaron__aardvark
 Share

Recommended Posts

Today I got an email from Line 6 regarding Helix Native 1.90: it sounds attractive, but I noticed that it did not say it is Mac OS Catalina compatible, whereas with Helix Native 1.82 (which I'm using now I think) Line 6 says it is Catalina compatible, and I have yet to have problems after trying it briefly (I have a new iMac).  As it is, I have yet to get Melodyne and a Soundtoys plugin to work with Catalina, so I am skittish to try this out.  What is the official word on this?  Or your experience so far? 

Link to comment
Share on other sites

I tried to install it and was given a message from my Catalina system saying "“Helix Native.pkg” can’t be opened because Apple cannot check it for malicious software.  

This software needs to be updated. Contact the developer for more information."

 

Not sure what this means actually.

  • Like 1
Link to comment
Share on other sites

You can open it by right-clicking and selecting open, instead of double click.  BUT, it seems to be screwed up at the moment.  Although the filename is HelixNative1.90.dmg, it tries to install 1.82 instead.  Looks like the dmg was prepared with the old software.

Link to comment
Share on other sites

On 4/22/2020 at 2:19 AM, Gyrfalcon said:

I tried to install it and was given a message from my Catalina system saying "“Helix Native.pkg” can’t be opened because Apple cannot check it for malicious software.  

This software needs to be updated. Contact the developer for more information."

 

Not sure what this means actually.


 

What it means is -

 

You have just encountered “The Gatekeeper” which Apple use as protection against nasty software.

 

It crops up on here occasionally, but don’t worry you can override the settings.

 

Full details here:

 

https://support.apple.com/en-us/HT202491

 

Hope this helps/makes sense.

Link to comment
Share on other sites

On 4/22/2020 at 12:10 AM, aaron__aardvark said:

What is the official word on this?


Hi, Mr First in the Phonebook,


Bit of a strange one this, because on the download page Mac OS X Catalina is not listed as one of the systems that Native will function on. This is also the case on the storefront page where it states:

 

System Requirements

Mac Computers:

  • Mac OS X 10.10, 10.11, 10.12, 10.13, 10.14
  • 64-bit AAX Native, Audio Units (AU), VST3 host DAW software
  • Supported Sample Rates: 44.1 kHz, 48 kHz, 88.2 kHz, 96 kHz

 

Having said that, at the top of this forum page is a banner regarding Mac OS 10.15 with a link to this info:

 

 
It maybe that Native is one of those exceptions?

 

You could download Native 1.9 add see if it works, if not simply revert back to the previous version.

 

Hope this helps/makes sense.

 

Link to comment
Share on other sites

On 4/22/2020 at 2:19 AM, Gyrfalcon said:

I tried to install it and was given a message from my Catalina system saying "“Helix Native.pkg” can’t be opened because Apple cannot check it for malicious software.  

This software needs to be updated. Contact the developer for more information."

 

Not sure what this means actually.

You have to go to the Mac Security settings after you have got that message and you will find a button to allow it to run at the bottom of the screen. I have and it installs & runs fine 

Screenshot 2020-04-23 at 14.12.02.png

  • Upvote 1
Link to comment
Share on other sites

al_eebee,

Are you sure you are getting the new features of 1.9?  Someone else (see nearby recent thread) says 1.9 is just loading 1.82 for him with Catalina.........never mind he got it sorted out later.

Edited by aaron__aardvark
Link to comment
Share on other sites

I am embarrassed to have to ask this: I am presently running Native 1.81 and wish to update to 1.91. Has line 6 streamlined the installation to make it any easier since the last update? In the past (if I remember correctly) I had so save all of my patches, IRs, etc., install the update and then reinstall all of my stuff over again. Is this still the case?  Either way, can someone remind me the of what the simplest way would be to update from 1.81 to 1.91? I have been searching all over and see info relating to updating Helix floor units but cannot seem to find good information on the latest Native update procedure.

Link to comment
Share on other sites

15 hours ago, line6picker said:

I am embarrassed to have to ask this: I am presently running Native 1.81 and wish to update to 1.91. Has line 6 streamlined the installation to make it any easier since the last update? In the past (if I remember correctly) I had so save all of my patches, IRs, etc., install the update and then reinstall all of my stuff over again. Is this still the case?  Either way, can someone remind me the of what the simplest way would be to update from 1.81 to 1.91? I have been searching all over and see info relating to updating Helix floor units but cannot seem to find good information on the latest Native update procedure.


You probably should create a backup in Native before updating, but I’ve never had to use my backup when updating Native. Your settings and presets should all remain through the update. As far as updating Native, you just download and install the latest installation package. That’s all there is to it.

 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...